#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=newdelhi4.64_base.ps
projection=-JM16.0c+
region=-R76.1/77.5/28.5/29.4
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map newdelhi4.64' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    28.961    76.595
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    29.055    77.214
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    29.014    76.650
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    29.228    76.597
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    28.743    77.142
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    28.951    77.261
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    28.685    76.513
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    29.111    77.209
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    29.163    77.330
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    29.184    76.186
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    29.026    76.677
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    29.065    76.602
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    29.179    76.886
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    29.032    76.614
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    28.551    76.744
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    28.988    76.672
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    29.329    76.424
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    29.043    76.998
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    28.996    76.655
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    28.967    76.616
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    28.822    76.575
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    29.185    76.602
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    28.881    76.581
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    29.001    76.664
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    28.681    76.645
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    29.014    76.618
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    28.946    76.642
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    29.005    77.268
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    28.640    77.139
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    28.869    76.787
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    28.753    76.609
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    28.703    76.579
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    28.722    76.597
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    28.987    76.571
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    28.689    76.577
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    28.969    76.688
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    28.936    76.664
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    29.154    76.577
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    28.954    77.051
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    28.608    76.717
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    28.653    76.607
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    28.962    77.327
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    28.955    77.139
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    28.696    77.204
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    28.774    77.195
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    28.871    76.729
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    28.839    77.428
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    29.130    76.853
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.958    76.594
    28.961    76.595
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.876    76.676
    28.961    76.595
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.055    77.214
    29.055    77.214
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.901    76.900
    29.055    77.214
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.014    76.655
    29.014    76.650
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.890    76.743
    29.014    76.650
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.223    76.595
    29.228    76.597
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.071    76.498
    29.228    76.597
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.742    77.141
    28.743    77.142
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.558    77.042
    28.743    77.142
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.950    77.260
    28.951    77.261
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.909    77.311
    28.951    77.261
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.685    76.513
    28.685    76.513
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.661    76.494
    28.685    76.513
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.106    77.211
    29.111    77.209
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.983    77.254
    29.111    77.209
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.162    77.330
    29.163    77.330
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.186    77.301
    29.163    77.330
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.182    76.183
    29.184    76.186
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.199    76.338
    29.184    76.186
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.027    76.676
    29.026    76.677
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.953    76.758
    29.026    76.677
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.064    76.602
    29.065    76.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.002    76.549
    29.065    76.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.178    76.885
    29.179    76.886
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.108    76.874
    29.179    76.886
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.032    76.611
    29.032    76.614
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.990    76.536
    29.032    76.614
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.550    76.744
    28.551    76.744
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.526    76.770
    28.551    76.744
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.987    76.671
    28.988    76.672
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.925    76.666
    28.988    76.672
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.327    76.420
    29.329    76.424
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.323    76.465
    29.329    76.424
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.042    76.999
    29.043    76.998
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.936    76.946
    29.043    76.998
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.995    76.656
    28.996    76.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.996    76.736
    28.996    76.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.966    76.615
    28.967    76.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.871    76.657
    28.967    76.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.821    76.575
    28.822    76.575
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.815    76.576
    28.822    76.575
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.184    76.600
    29.185    76.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.210    76.643
    29.185    76.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.879    76.579
    28.881    76.581
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.824    76.535
    28.881    76.581
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.001    76.662
    29.001    76.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.875    76.775
    29.001    76.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.680    76.646
    28.681    76.645
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.726    76.635
    28.681    76.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.013    76.617
    29.014    76.618
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.987    76.658
    29.014    76.618
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.945    76.641
    28.946    76.642
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.926    76.626
    28.946    76.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.005    77.270
    29.005    77.268
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.904    77.250
    29.005    77.268
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.639    77.140
    28.640    77.139
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.635    77.172
    28.640    77.139
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.869    76.785
    28.869    76.787
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.806    76.787
    28.869    76.787
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.752    76.611
    28.753    76.609
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.775    76.693
    28.753    76.609
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.702    76.577
    28.703    76.579
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.568    76.638
    28.703    76.579
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.721    76.596
    28.722    76.597
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.656    76.649
    28.722    76.597
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.987    76.571
    28.987    76.571
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.973    76.625
    28.987    76.571
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.689    76.577
    28.689    76.577
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.681    76.634
    28.689    76.577
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.968    76.688
    28.969    76.688
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.009    76.777
    28.969    76.688
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.935    76.665
    28.936    76.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.846    76.680
    28.936    76.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.151    76.569
    29.154    76.577
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.217    76.814
    29.154    76.577
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.953    77.051
    28.954    77.051
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.018    76.994
    28.954    77.051
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.607    76.718
    28.608    76.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.658    76.733
    28.608    76.717
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.650    76.612
    28.653    76.607
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.748    76.657
    28.653    76.607
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.962    77.328
    28.962    77.327
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.978    77.386
    28.962    77.327
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.955    77.136
    28.955    77.139
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.939    76.976
    28.955    77.139
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.696    77.203
    28.696    77.204
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.730    77.275
    28.696    77.204
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.773    77.193
    28.774    77.195
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.784    77.238
    28.774    77.195
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.870    76.729
    28.871    76.729
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.849    76.815
    28.871    76.729
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.839    77.430
    28.839    77.428
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    28.808    77.414
    28.839    77.428
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.130    76.859
    29.130    76.853
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.078    77.040
    29.130    76.853
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    28.961    76.595    26.764     0.722     2.633
    29.055    77.214    -4.328     2.189     3.979
    29.014    76.650   -50.856     2.592     5.264
    29.228    76.597   -11.321     2.241     6.420
    28.743    77.142    -0.468     1.998     3.347
    28.951    77.261    46.264     1.532     1.735
    28.685    76.513    -4.854     1.222     2.109
    29.111    77.209    64.191     2.589     7.044
    29.163    77.330     6.553     1.033     6.271
    29.184    76.186   -25.111     2.837     4.285
    29.026    76.677    -4.115     1.843     3.116
    29.065    76.602     7.438     1.259     3.511
    29.179    76.886    31.632     1.905     4.433
    29.032    76.614   -73.556     2.883     4.258
    28.551    76.744     1.895     1.020     1.477
    28.988    76.672     0.878     1.076     2.011
    29.329    76.424   -44.534     1.347     2.199
    29.043    76.998    20.500     1.352     2.785
    28.996    76.655   -41.361     1.205     1.808
    28.967    76.616     3.926     1.900     2.571
    28.822    76.575   -36.663     1.095     2.008
    29.185    76.602   -30.037     1.480     2.588
    28.881    76.581   -37.170     1.477     5.927
    29.001    76.664    29.967     2.142     3.713
    28.681    76.645   -32.756     1.066     1.410
    29.014    76.618   -33.260     1.629     4.361
    28.946    76.642     6.127     1.732     2.408
    29.005    77.268    -0.404     1.871     6.043
    28.640    77.139    62.213     1.234     2.017
    28.869    76.787     5.505     0.973     2.439
    28.753    76.609   -57.527     0.915     1.774
    28.703    76.579   -32.922     1.197     2.278
    28.722    76.597    -7.036     1.097     1.862
    28.987    76.571     0.441     1.317     2.862
    28.689    76.577   -30.794     1.068     1.343
    28.969    76.688   -12.483     0.731     1.139
    28.936    76.664    -0.194     1.026     1.902
    29.154    76.577   -18.135     1.582     7.776
    28.954    77.051    35.953     1.618     2.012
    28.608    76.717   -51.371     1.119     2.459
    28.653    76.607   -51.817     1.837     3.373
    28.962    77.327   -33.302     1.155     1.228
    28.955    77.139    14.813     1.544     3.812
    28.696    77.204    -2.722     1.363     1.877
    28.774    77.195     8.481     1.097     2.492
    28.871    76.729   -32.418     1.038     2.200
    28.839    77.428    27.285     1.080     2.205
    29.130    76.853    13.651     2.446     4.952
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    28.504    76.144    55.575     1.203     1.679
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    28.504    76.167   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    28.504    76.144     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    28.504    76.144     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    28.459    76.144   5 km
END
