#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=newdelhi4.64_dcal.ps
projection=-JM16.0c+
region=-R74.0/79.6/26.7/31.2
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration newdelhi4.64' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.961    76.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.961    76.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.055    77.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.055    77.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.055    77.214
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.014    76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.014    76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.014    76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.014    76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.228    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.228    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.228    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.743    77.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.743    77.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.743    77.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.743    77.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.743    77.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.951    77.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.832    77.342
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.685    76.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.111    77.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.163    77.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.184    76.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.184    76.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.962    76.821
    29.184    76.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.026    76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.026    76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.026    76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.026    76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.026    76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.832    77.342
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.832    77.342
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.962    76.821
    29.065    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.179    76.886
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.032    76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.032    76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.962    76.821
    29.032    76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.962    76.821
    29.032    76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.551    76.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.988    76.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    29.329    76.424
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.329    76.424
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.043    76.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.996    76.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.967    76.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.822    76.575
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.185    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.185    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.185    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    29.185    76.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.881    76.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.881    76.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.881    76.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.881    76.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.881    76.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.962    76.821
    29.001    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.681    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.014    76.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.946    76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.005    77.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.005    77.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    29.005    77.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.005    77.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.005    77.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.640    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.869    76.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.869    76.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.869    76.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.869    76.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.869    76.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.753    76.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.703    76.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.722    76.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.987    76.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.074    75.806
    28.689    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.969    76.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.936    76.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.154    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    29.154    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.154    76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.972    77.734
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.972    77.734
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.954    77.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.608    76.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.653    76.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.653    76.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.653    76.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.653    76.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.653    76.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.569    77.292
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.033    76.414
    28.962    77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.688    76.939
    28.955    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.955    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.955    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.955    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.144    76.489
    28.955    77.139
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.134    77.018
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.134    77.018
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.608    76.645
    28.696    77.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.608    76.645
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.774    77.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.608    76.645
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.482    77.127
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.571    77.439
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.756    77.772
    28.871    76.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    28.839    77.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.134    77.018
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.784    77.095
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.683    77.217
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.638    77.169
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.583    77.217
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.130    76.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.250    77.083
    29.130    76.853
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    28.683    77.217     0.300
    28.250    77.083     0.300
    28.583    77.217     0.300
    28.756    77.772     0.300
    28.688    76.939     0.300
    28.482    77.127     0.300
    29.033    76.414     0.300
    28.144    76.489     0.300
    28.832    77.342     0.300
    28.571    77.439     0.300
    29.962    76.821     0.300
    28.074    75.806     0.300
    28.972    77.734     0.300
    28.784    77.095     0.300
    28.638    77.169     0.300
    28.569    77.292     0.300
    29.134    77.018     0.300
    28.608    76.645     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.961    76.595     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.055    77.214     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.014    76.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.228    76.597     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.743    77.142     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.951    77.261     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.685    76.513     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.111    77.209     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.163    77.330     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.184    76.186     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.026    76.677     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.065    76.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.179    76.886     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.032    76.614     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.551    76.744     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.988    76.672     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.329    76.424     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.043    76.998     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.996    76.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.967    76.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.822    76.575     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.185    76.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.881    76.581     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.001    76.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.681    76.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.014    76.618     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.946    76.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.005    77.268     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.640    77.139     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.869    76.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.753    76.609     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.703    76.579     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.722    76.597     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.987    76.571     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.689    76.577     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.969    76.688     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.936    76.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.154    76.577     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.954    77.051     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.608    76.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.653    76.607     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.962    77.327     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.955    77.139     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.696    77.204     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.774    77.195     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.871    76.729     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.839    77.428     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.130    76.853     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    28.931    76.796     0.000   222.000   222.000
    28.931    76.796     0.000   444.000   444.000
END
