#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=newdelhi4.64_epa_1.ps
projection=-JM16.0c+
region=-R58.9/94.7/13.5/44.4
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn newdelhi4.64' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    28.931    76.796     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.650    73.252     0.060
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.100    82.990     0.140
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.794    71.743     0.061
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    27.770    83.600     0.220
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.350    83.760     0.287
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.744    70.203     0.085
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.003    84.637     0.085
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.609    85.106     0.029
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.790    85.280     0.032
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.571    85.409    -0.008
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.911    85.879     0.036
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.950    86.600    -0.011
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.860    87.390     0.045
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.350    87.710     0.045
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.417    78.553    -0.392
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.128    77.167     0.005
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.417    76.417     0.228
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.500    76.970     0.294
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    17.308    74.183    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.867    76.333     0.392
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.542    75.967     0.435
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    23.241    77.424     0.065
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    20.703    77.015    -0.053
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.660    86.190     0.019
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    18.530    73.849     0.133
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    26.479    74.643     0.167
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.433    75.717     0.805
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.450    80.246    -0.127
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.550    80.217     0.265
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.466    78.539     0.284
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.231    75.245     0.221
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.962    76.821    -0.021
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.506    78.754    -0.196
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.074    75.806    -0.175
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.144    76.489     0.076
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.533    78.250     0.372
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.323    78.056    -0.055
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.953    75.950     0.550
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.326
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.556    79.558     0.439
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    27.230    77.944     0.094
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    31.921    72.672    -0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.658    73.264     0.125
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.300    70.807     0.144
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.824    71.909     0.197
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.700    91.150     0.398
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.416    76.560    -0.201
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    21.150    79.050     0.076
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.924    70.903    -0.031
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.567    91.883     0.101
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.638    74.494     0.033
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.327
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.228    74.513     0.201
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.131    73.694    -0.159
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.662    73.777     0.434
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.167    79.983    -0.256
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.541    69.043     0.225
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.013    73.503    -0.146
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.487    72.504    -0.241
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.921    75.597     0.495
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    23.795    85.886     0.138
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.333    88.617    -0.225
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.517    75.973    -0.381
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.419    78.552    -0.495
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.020    89.995    -0.202
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.721    83.329    -0.547
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.163    77.048     0.067
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.327    79.485    -0.270
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    22.489    92.987     0.064
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.321    94.516    -0.608
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.433    76.000     0.056
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.729    77.805     0.108
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.250    76.300     0.485
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.577    85.396     0.021
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.309    81.809     0.796
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.000    70.317     0.000
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.657    69.158     0.263
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.058    70.818     0.194
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.490    75.940     0.334
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.130    77.180    -0.098
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.659    69.008     0.036
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.323    72.981    -0.087
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.483    78.400     0.222
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    24.649    77.332     0.043
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.480    71.800    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.957    86.817    -0.239
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.837    76.150     0.475
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    33.650    73.252   NIL  
    28.100    82.990   PYUN 
    32.794    71.743   THW  
    27.770    83.600   KOLN 
    28.350    83.760   DANN 
    31.744    70.203   DRP  
    28.003    84.637   GKN  
    27.609    85.106   DMN  
    27.790    85.280   KKN  
    27.571    85.409   PKI  
    27.911    85.879   GUN  
    26.950    86.600   RAMN 
    26.860    87.390   ODAN 
    27.350    87.710   TAPN 
    17.417    78.553   HYB  
    31.128    77.167   SMLA 
    31.417    76.417   BHK  
    31.500    76.970   SDNR 
    17.308    74.183   KAD  
    31.867    76.333   JWA  
    32.542    75.967   DLH  
    23.241    77.424   BHPL 
    20.703    77.015   AKL  
    27.660    86.190   JIRN 
    18.530    73.849   POO  
    26.479    74.643   AJM  
    32.433    75.717   THN  
    29.450    80.246   LGTI 
    29.550    80.217   PTH  
    25.466    78.539   JHNI 
    33.231    75.245   RMBN 
    29.962    76.821   KKR  
    29.506    78.754   KALG 
    28.074    75.806   KHET 
    28.144    76.489   KUDL 
    31.533    78.250   KLP  
    30.323    78.056   DDI  
    31.953    75.950   PONG 
    43.103    70.511   KK31 
    30.556    79.558   JOSI 
    27.230    77.944   AGRA 
    31.921    72.672   SARP 
    33.658    73.264   CHCP 
    32.300    70.807   SBDP 
    33.824    71.909   CEP  
    29.700    91.150   LSA  
    18.416    76.560   LATR 
    21.150    79.050   NGP  
    26.924    70.903   JASL 
    25.567    91.883   SHL  
    42.638    74.494   AAK  
    43.103    70.511   KKAR 
    42.228    74.513   UCH  
    42.131    73.694   AML  
    42.662    73.777   EKS2 
    23.167    79.983   JBP  
    34.541    69.043   KBL  
    40.013    73.503   SFK  
    42.487    72.504   MNAS 
    42.921    75.597   TKM2 
    23.795    85.886   BOK  
    27.333    88.617   GTK  
    39.517    75.973   KSH  
    17.419    78.552   HYBB 
    26.020    89.995   DHUB 
    17.721    83.329   VIS  
    43.163    77.048   MDOK 
    43.327    79.485   PDGK 
    22.489    92.987   SAIH 
    26.321    94.516   MOKO 
    41.433    76.000   NRN  
    41.729    77.805   TARG 
    32.250    76.300   DHRM 
    27.577    85.396   PKIN 
    25.309    81.809   ALBI 
    39.000    70.317   GAR  
    38.657    69.158   CHGR 
    40.058    70.818   BTK  
    42.490    75.940   BOOM 
    42.130    77.180   KDJ  
    38.659    69.008   SIMJ 
    41.323    72.981   ARSB 
    42.483    78.400   PRZ  
    24.649    77.332   GUNA 
    39.480    71.800   DRK  
    27.957    86.817   EVN  
    32.837    76.150   TSSA 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    17.651    60.700   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    15.701    62.095    -0.500
    15.701    64.090    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    15.701    65.800     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    15.701    67.795     0.250
    15.701    69.790     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    16.706    60.695   Station Residuals (sec.)
    14.201    61.195   -2
    14.201    63.295   -1
    14.201    65.545   0
    14.201    66.970   +1
    14.201    68.995   +2
END
