#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=newdelhi4.64_epa_2.ps
projection=-JM16.0c+
region=-R58.9/94.7/13.5/44.4
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Sn newdelhi4.64' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    28.931    76.796     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.650    73.252     0.163
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.100    82.990    -0.128
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.794    71.743    -0.336
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.824    71.909    -0.045
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.003    84.637    -0.275
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.609    85.106    -0.396
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.571    85.409    -0.381
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.911    85.879    -0.078
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.660    86.190    -0.325
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.950    86.600    -0.479
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.417    78.553    -1.125
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.717    74.900     1.134
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.416    76.560    -0.360
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.530    73.849    -0.676
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    31.128    77.167    -0.204
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.770    83.600    -0.139
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.350    83.760     0.111
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.790    85.280    -0.564
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.860    87.390    -0.443
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.479    74.643     0.042
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.241    77.424    -0.185
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.506    78.754    -0.656
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.450    80.246    -0.193
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.466    78.539     0.215
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.962    76.821     0.043
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.323    78.056     0.188
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.500    76.970     0.315
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.309    81.809    -0.210
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.074    75.806    -0.082
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.230    77.944    -0.370
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.144    76.489     0.182
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.747
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.756    77.772     0.218
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.556    79.558     0.224
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    31.921    72.672    -0.499
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.417    76.417    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    21.150    79.050    -0.783
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.700    91.150    -0.586
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.721    83.329    -1.312
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.567    91.883    -1.658
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.550    80.217     0.560
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -1.231
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.167    79.983    -0.842
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.577    85.396    -0.287
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.541    69.043     0.060
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.350    87.710    -0.361
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    18.896    72.813     1.000
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.250    76.300     0.522
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.795    85.886    -0.488
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.638    74.494    -0.159
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.487    72.504    -1.167
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.921    75.597     1.881
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.013    73.503    -0.599
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.327    79.485    -0.544
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.433    75.717     0.388
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.517    75.973    -1.645
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    24.649    77.332    -0.492
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.957    86.817    -0.753
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.837    76.150     0.421
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    33.650    73.252   NIL  
    28.100    82.990   PYUN 
    32.794    71.743   THW  
    33.824    71.909   CEP  
    28.003    84.637   GKN  
    27.609    85.106   DMN  
    27.571    85.409   PKI  
    27.911    85.879   GUN  
    27.660    86.190   JIRN 
    26.950    86.600   RAMN 
    17.417    78.553   HYB  
    32.717    74.900   JMU  
    18.416    76.560   LATR 
    18.530    73.849   POO  
    31.128    77.167   SMLA 
    27.770    83.600   KOLN 
    28.350    83.760   DANN 
    27.790    85.280   KKN  
    26.860    87.390   ODAN 
    26.479    74.643   AJM  
    23.241    77.424   BHPL 
    29.506    78.754   KALG 
    29.450    80.246   LGTI 
    25.466    78.539   JHNI 
    29.962    76.821   KKR  
    30.323    78.056   DDI  
    31.500    76.970   SDNR 
    25.309    81.809   ALBI 
    28.074    75.806   KHET 
    27.230    77.944   AGRA 
    28.144    76.489   KUDL 
    43.103    70.511   KK31 
    28.756    77.772   ASOR 
    30.556    79.558   JOSI 
    31.921    72.672   SARP 
    31.417    76.417   BHK  
    21.150    79.050   NGP  
    29.700    91.150   LSA  
    17.721    83.329   VIS  
    25.567    91.883   SHL  
    29.550    80.217   PTH  
    43.103    70.511   KKAR 
    23.167    79.983   JBP  
    27.577    85.396   PKIN 
    34.541    69.043   KBL  
    27.350    87.710   TAPN 
    18.896    72.813   BOM  
    32.250    76.300   DHRM 
    23.795    85.886   BOK  
    42.638    74.494   AAK  
    42.487    72.504   MNAS 
    42.921    75.597   TKM2 
    40.013    73.503   SFK  
    43.327    79.485   PDGK 
    32.433    75.717   THN  
    39.517    75.973   KSH  
    24.649    77.332   GUNA 
    27.957    86.817   EVN  
    32.837    76.150   TSSA 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    17.651    60.700   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    15.701    62.095    -0.500
    15.701    64.090    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    15.701    65.800     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    15.701    67.795     0.250
    15.701    69.790     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    16.706    60.695   Station Residuals (sec.)
    14.201    61.195   -2
    14.201    63.295   -1
    14.201    65.545   0
    14.201    66.970   +1
    14.201    68.995   +2
END
